From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/skopeo/
Date: Tue, 22 May 2018 00:27:05 +0000 (UTC) [thread overview]
Message-ID: <1526948820.5b3fd4f580e40013d072480c90d3f6c7d19a9297.zmedico@gentoo> (raw)
commit: 5b3fd4f580e40013d072480c90d3f6c7d19a9297
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue May 22 00:26:05 2018 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue May 22 00:27:00 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b3fd4f5
app-emulation/skopeo: version bump to 0.1.30
Package-Manager: Portage-2.3.38, Repoman-2.3.9
app-emulation/skopeo/Manifest | 1 +
app-emulation/skopeo/skopeo-0.1.30.ebuild | 53 +++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/app-emulation/skopeo/Manifest b/app-emulation/skopeo/Manifest
index 1c904674449..c23c8ce296d 100644
--- a/app-emulation/skopeo/Manifest
+++ b/app-emulation/skopeo/Manifest
@@ -1 +1,2 @@
DIST skopeo-0.1.22.tar.gz 1921286 BLAKE2B 141f78d14cb47494af9e55541eeaa973c9e2065d6dcdc73a6ee296fd160a981b88a4464ebf803df56378f9de7d812721eab877386a4b756e6b914d2c08e44aca SHA512 10ed4e577b07f672540ff86774b5c5b6b7531765fd36313b9e4e6bf974840fee98ede193014977c381b96875cb9147307ee690f4fc8dd4f97d87681d7fa2f4f2
+DIST skopeo-0.1.30.tar.gz 2700275 BLAKE2B d80125e1be32f3b490f5d66caa5b1bd482dc2203d0c37824bd40d06e240c347468f9635623344e6f9badd9dbbeed59383d5ec8ad81a9b8e01284bc48114470f6 SHA512 05ea7c54f1de7ab9676903a973c8039520fa023f295c705e600d01520c0f300d255268e41b9c716dc4a1f01e951d9b73acf24d5a1bc891f694798a3eb085f061
diff --git a/app-emulation/skopeo/skopeo-0.1.30.ebuild b/app-emulation/skopeo/skopeo-0.1.30.ebuild
new file mode 100644
index 00000000000..8fc316e1415
--- /dev/null
+++ b/app-emulation/skopeo/skopeo-0.1.30.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN=github.com/projectatomic/skopeo
+COMMIT=ca3bff6
+inherit golang-vcs-snapshot
+
+DESCRIPTION="Command line utility foroperations on container images and image repositories"
+HOMEPAGE="https://github.com/projectatomic/skopeo"
+SRC_URI="https://github.com/projectatomic/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+COMMON_DEPEND=">=app-crypt/gpgme-1.5.5:=
+ >=dev-libs/libassuan-2.4.3
+ >=sys-fs/btrfs-progs-4.0.1
+ >=sys-fs/lvm2-2.02.145"
+DEPEND="${COMMON_DEPEND}
+ dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+RESTRICT="test"
+
+src_compile() {
+ local BUILDTAGS="containers_image_ostree_stub"
+ set -- env GOPATH="${WORKDIR}/${P}" \
+ go build -ldflags "-X main.gitCommit=${COMMIT}" \
+ -gcflags "${GOGCFLAGS}" -tags "${BUILDTAGS}" \
+ -o skopeo ./cmd/skopeo
+ echo "$@"
+ "$@" || die
+ cd docs || die
+ for f in *.1.md; do
+ go-md2man -in ${f} -out ${f%%.md} || die
+ done
+}
+
+src_install() {
+ dobin skopeo
+ doman docs/*.1
+ insinto /etc/containers
+ newins default-policy.json policy.json
+ insinto /etc/containers/registries.d
+ doins default.yaml
+ keepdir /var/lib/atomic/sigstore
+ einstalldocs
+}
next reply other threads:[~2018-05-22 0:27 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-22 0:27 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-08-17 3:03 [gentoo-commits] repo/gentoo:master commit in: app-emulation/skopeo/ Zac Medico
2018-11-27 20:03 Zac Medico
2019-01-10 14:30 Manuel Rüger
2019-03-13 16:24 Zac Medico
2019-05-28 23:28 Zac Medico
2019-07-21 5:02 Zac Medico
2019-08-02 19:19 Zac Medico
2019-08-02 19:19 Zac Medico
2019-08-07 2:09 Zac Medico
2019-09-06 23:28 Zac Medico
2019-09-06 23:53 Zac Medico
2019-11-15 21:03 Zac Medico
2019-11-15 21:07 Zac Medico
2019-11-15 21:14 Zac Medico
2019-11-26 4:32 Zac Medico
2020-02-09 1:59 Zac Medico
2020-04-16 21:13 William Hubbs
2020-05-02 14:08 William Hubbs
2020-05-02 14:13 William Hubbs
2020-06-19 5:17 Zac Medico
2020-06-20 1:23 Aaron Bauman
2020-08-29 22:45 Sam James
2020-08-29 23:07 Zac Medico
2021-06-14 17:43 Zac Medico
2021-07-05 22:08 Zac Medico
2021-11-04 22:04 Zac Medico
2021-11-14 8:38 Sam James
2021-11-17 2:16 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1526948820.5b3fd4f580e40013d072480c90d3f6c7d19a9297.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox